FRIHOST FORUMS SEARCH FAQ TOS BLOGS COMPETITIONS
You are invited to Log in or Register a free Frihost Account!


phpBB 2.0.16 released





foggy
Just so bondings and everyone else who runs phpBB knows, a new version was released yesterday. It would be advisable to update at your nearest possible convenience.

Quote:
phpBB Group announces the release of phpBB 2.0.16. This release addresses some bugfixes and one critical security issue.


http://www.phpbb.com/phpBB/viewtopic.php?f=14&t=302011
Bondings
Done. It got me a headache. I just hope the next one won't be in a few weeks. Wink
By the way, did anyone manage to do it with the patch? Last time I did it that way, but this time I got some error and thus had to do it manually.
Maka
Lol gave you a headache, im dreading doing my forum Mad , but gotta wait for bbtonuke first.
snowboardalliance
i still have to upgrade mine. It's because of these hosts that I get reminded of updates. Smile
WickedGravity
I didn't get the patch to work either.

It all had to be done by hand, which, while not the hardest thing in the world to do, was certainly not one of the easiest to be sure.

The tables script worked the third time I tried it, not that it actually added all that much, but it still had to be done.

it was the register page that gave me the most hassle, had to rewrite the code a bit to work with my site.

Anyway, it was an important security release, so I am glad that it is done and over with and like you said Bondings, I hope I don't have to repeat it in two weeks.
mOrpheuS
Bondings wrote:
did anyone manage to do it with the patch? Last time I did it that way, but this time I got some error and thus had to do it manually.

I did Very Happy

downloaded the code change zip, fired up easymod, it all worked like a charm.
and mind you, the board in question is a pretty well patched up one (what with all those mods).
maybe I've been just very lucky here, but it has never failed me.
and to think that I didn't even bother to backup the site before doing this.
maybe the next time I should.

could it be because of the cash mod ? (I don't have this one on that forum).
Maka
I just did that code change manually in viewtopic.php.
Bondings
mOrpheuS wrote:
Bondings wrote:
did anyone manage to do it with the patch? Last time I did it that way, but this time I got some error and thus had to do it manually.

I did Very Happy

downloaded the code change zip, fired up easymod, it all worked like a charm.
and mind you, the board in question is a pretty well patched up one (what with all those mods).
maybe I've been just very lucky here, but it has never failed me.
and to think that I didn't even bother to backup the site before doing this.
maybe the next time I should.

could it be because of the cash mod ? (I don't have this one on that forum).

I'm not talking about the changed files. I'm talking about the patch. I meant the following command.
Code:
patch -cl -d /home/MyUserName/public_html/forumTEST/ -p1 < phpbb-2.0.15_to_2.0.16.patch
snowboardalliance
The manual upgrade worked fine for me, pretty easy too. Not too much to edit really.
Helios
Still didn't find any bugs/security holes.. that's gut.

Stay updated though..

maybe the guys in SF will find somethin: www.securityfocus.com
a search there once in a week will be useful.
Maka
For phpnukers:

BBtoNuke_2.0.16

Download:

http://www.nukeresources.com/downloadview-details-1039-BBtoNuke_2.0.16.html

Update now!!.
mOrpheuS
Bondings wrote:
I'm not talking about the changed files. I'm talking about the patch. I meant the following command.
Code:
patch -cl -d /home/MyUserName/public_html/forumTEST/ -p1 < phpbb-2.0.15_to_2.0.16.patch


I thought you guys were talking about the patch/mod that is released for people with modded phpbb installations ( http://www.phpbb.com/phpBB/viewtopic.php?t=301712 )
as this method has always worked for me.

the only drawback(?) is that you must keep your board up-to-date at all times, it can only upgrade from the immediate previous version. eg., it can upgrade from 2.0.15 to 2.0.16, but not from 2.0.10 to 2.0.16.
whereas the ".patch" can upgrade from almost all older versions to the current verion.
Wink
Bondings
I had to use that mod because the .patch gave an error.
coolpages
thank-you for the link
this is really nice
Related topics
phpBB [2.0.16] Released
Mettez vos forums phpbb jour.
J'ai besoin l'aide!!
patch pour les phpbb 2.0.16 (non-officiel)
phpBB help.. Need assistance please..
phpBB 3.0 / phpBB 2.2 / Olympus Discussion
phpBB 2.0.20 RELEASED
phpBB 2.0.21 Released
XOOPS 2.0.16 is released
Joomla 1.0.12 Released
phpBB 2.0.22 released!
phpBB 3.0 Beta5 released
phpbb RC1 is released!
openSUSE 11.0 Alpha 2 Released
Reply to topic    Frihost Forum Index -> General -> Suggestions

FRIHOST HOME | FAQ | TOS | ABOUT US | CONTACT US | SITE MAP
© 2005-2011 Frihost, forums powered by phpBB.